Commit c91c7a62 authored by Till Brehm's avatar Till Brehm

Fixed: FS#3721 - php-fpm brocken

parent 6db03623
......@@ -2664,6 +2664,8 @@ class apache2_plugin {
$tpl->newTemplate('php_fpm_pool.conf.master');
$tpl->setVar('apache_version', $app->system->getapacheversion());
$apache_modules = $app->system->getapachemodules();
// Use sockets, but not with apache 2.4 on centos (mod_proxy_fcgi) as socket support is buggy in that version
if($data['new']['php_fpm_use_socket'] == 'y' && in_array('fastcgi_module',$apache_modules)){
$use_tcp = 0;
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment